| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
cv::detail::SeamFinder Class Referenceabstract
Images stitching » Seam Estimation

Base class for a seam estimator. More...

`#include <opencv2/stitching/detail/seam_finders.hpp>`

Collaboration diagram for cv::detail::SeamFinder:

## Public Types
enum | { NO , VORONOI_SEAM , DP_SEAM }

## Public Member Functions
virtual | ~SeamFinder ()
virtual void | find (const std::vector< UMat > &src, const std::vector< Point > &corners, std::vector< UMat > &masks)=0
| Estimates seams.

## Static Public Member Functions
static Ptr< SeamFinder > | createDefault (int type)

## Detailed Description

Base class for a seam estimator.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
NO |
VORONOI_SEAM |
DP_SEAM |

## Constructor & Destructor Documentation

## ◆ ~SeamFinder()

virtual cv::detail::SeamFinder::~SeamFinder | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ createDefault()

static Ptr< SeamFinder > cv::detail::SeamFinder::createDefault | ( | int | type | ) |
| static

Python:
| cv.detail.SeamFinder.createDefault( | type | ) -> | retval
| cv.detail.SeamFinder_createDefault( | type | ) -> | retval

## ◆ find()

virtual void cv::detail::SeamFinder::find | ( | const std::vector< UMat > & | src,
|  | const std::vector< Point > & | corners,
|  | std::vector< UMat > & | masks )
| pure virtual

Python:
| cv.detail.SeamFinder.find( | src, corners, masks | ) -> | masks

Estimates seams.

Parameters

  src | Source images
  corners | Source image top-left corners
  masks | Source image masks to update

Implemented in cv::detail::DpSeamFinder, cv::detail::GraphCutSeamFinder, cv::detail::NoSeamFinder, cv::detail::PairwiseSeamFinder, and cv::detail::VoronoiSeamFinder.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/seam_finders.hpp